Bug 114749 - missing return statement ?
missing return statement ?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-02 06:26 EST by d.binderman
Modified: 2015-01-04 17:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 19:18:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-02-02 06:26:52 EST
Description of problem:

I just tried to compile package kernel-pcmcia-cs-3.1.31-13 from Redhat
Fedora Core 1.

The compiler said

1.

yacc_cis.y(398): warning #1011: missing return statement at end of
non-void function "new_tuple"

The offending source code is

static tuple_info_t *new_tuple(u_char type, cisparse_t *parse)
{
    tuple_info_t *t = calloc(1, sizeof(tuple_info_t));
    t->type = type;
    t->parse = parse;
    t->next = NULL;
}

Suggest add missing return statement, or change return type of
function to void.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2004-10-29 19:18:40 EDT
FC1 is EOL.

Note You need to log in before you can comment on or make changes to this bug.